Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004562TestLinkTest Specificationpublic2011-06-04 08:142015-04-26 21:41
Reportersujataverma3 
Assigned Tofman 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformWin32XPOSOS Version
Product Version2.0 Alpha 2 
Fixed in Version1.9.13 (2015 #1) 
Summary0004562: Test Specification : Move of Test Case from "Testsuite1" to "Main TestSuite" Leads to Fatal error
DescriptionMove of Test Case from "Testsuite1" to "Main TestSuite" Leads to Fatal error
Steps To Reproduce1) Go to Test Specification
2) Create MainTestSuite
3) Create TestSuite1 inside MainTestSuite
4) Create TestCase1 in TestSuite1
5) Click on Move/Copy testcase for Testcase1
6) Choose Destination as MainTestsuite
7) Click on Move
8) Fatal error is displayed
9) Copy works fine
========================
Fatal error: require_once() [function.require]: Failed opening required 'testcases/.class.php' (include_path='.;C:\xampp\php\pear\;.;C:\xampp\htdocs\testlink\testlink-ga-testlink-code\lib\functions\;C:\xampp\htdocs\testlink\testlink-ga-testlink-code\third_party\') in C:\xampp\htdocs\testlink\testlink-ga-testlink-code\lib\functions\common.php on line 91

==========================
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL 5.3
BrowserChrome11
PHP Version
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Filesjpg file icon fatalerror1.JPG [^] (142,819 bytes) 2011-06-04 08:14

- Relationships

-  Notes
(0015133)
fman (administrator)
2011-06-04 08:36
edited on: 2011-06-04 09:27

move is done anyway

fixed (in two steps)
http://gitorious.org/testlink-ga/testlink-code/commit/5c1493c9c1bdca90c177c86bb00b28f81dc3340b [^]

http://gitorious.org/testlink-ga/testlink-code/commit/28fe8b9a1942f1a2cabcebfc419dc0f7251fbb6d [^]

(0023219)
Mr.Bricodage (updater)
2015-04-26 16:50

ok in TL 1.9.13

- Issue History
Date Modified Username Field Change
2011-06-04 08:14 sujataverma3 New Issue
2011-06-04 08:14 sujataverma3 File Added: fatalerror1.JPG
2011-06-04 08:35 fman Assigned To => fman
2011-06-04 08:35 fman Status new => assigned
2011-06-04 08:36 fman Note Added: 0015133
2011-06-04 09:00 fman Note Edited: 0015133 View Revisions
2011-06-04 09:00 fman Fixed in Version => 2.0 Alpha 3
2011-06-04 09:27 fman Note Edited: 0015133 View Revisions
2015-04-26 15:27 Mr.Bricodage Relationship added child of 0007083
2015-04-26 16:50 Mr.Bricodage Note Added: 0023219
2015-04-26 21:41 fman QA Team - Task Workflow Status => TBD
2015-04-26 21:41 fman Status assigned => closed
2015-04-26 21:41 fman Resolution open => fixed
2015-04-26 21:41 fman Fixed in Version 2.0 Alpha 3 => 1.9.13 (2015 #1)
2015-04-28 18:00 Mr.Bricodage Relationship deleted child of 0007083



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker